DK API 文档

tiktok 07

15 个接口

POSTfetch gift name by id

POST https://dkai.store/api/v1/tiktok/web/fetch_gift_name_by_id

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch gift names by ids

POST https://dkai.store/api/v1/tiktok/web/fetch_gift_names_by_ids

22 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch home feed

POST https://dkai.store/api/v1/tiktok/web/fetch_home_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_home_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live gift list

GET https://dkai.store/api/v1/tiktok/web/fetch_live_gift_list

22 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_live_gift_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live im fetch

GET https://dkai.store/api/v1/tiktok/web/fetch_live_im_fetch

1 积分 / 成功调用

参数位置要求说明
room_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_live_im_fetch?room_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live recommend

GET https://dkai.store/api/v1/tiktok/web/fetch_live_recommend

1 积分 / 成功调用

参数位置要求说明
related_live_tagquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_live_recommend?related_live_tag=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live recommend tabs

GET https://dkai.store/api/v1/tiktok/web/fetch_live_recommend_tabs

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_live_recommend_tabs'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post ai article

GET https://dkai.store/api/v1/tiktok/web/fetch_post_ai_article

1 积分 / 成功调用

参数位置要求说明
itemIdquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_post_ai_article?itemId=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comment

GET https://dkai.store/api/v1/tiktok/web/fetch_post_comment

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_post_comment?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comment reply

GET https://dkai.store/api/v1/tiktok/web/fetch_post_comment_reply

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_post_comment_reply?item_id=VALUE&comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail

GET https://dkai.store/api/v1/tiktok/web/fetch_post_detail

1 积分 / 成功调用

参数位置要求说明
itemIdquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_post_detail?itemId=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail v2

GET https://dkai.store/api/v1/tiktok/web/fetch_post_detail_v2

1 积分 / 成功调用

参数位置要求说明
itemIdquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_post_detail_v2?itemId=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search keyword suggest

GET https://dkai.store/api/v1/tiktok/web/fetch_search_keyword_suggest

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_search_keyword_suggest?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search live

GET https://dkai.store/api/v1/tiktok/web/fetch_search_live

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_search_live?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch search photo

GET https://dkai.store/api/v1/tiktok/web/fetch_search_photo

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/web/fetch_search_photo?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。